KFIFO_OUT_SPINLOCKED(9)

NAME
kfifo_out_spinlocked - get data from the fifo using a spinlock for locking

SYNOPSIS

kfifo_out_spinlocked(fifo, buf, n, lock);

ARGUMENTS

fifo
    address of the fifo to be used

buf
    pointer to the storage buffer

n
    max. number of elements to get

lock
    pointer to the spinlock to use for locking

DESCRIPTION

This macro get the data from the fifo and return the numbers of elements copied.

COPYRIGHT